cURL
curl --request POST \
--url https://webhook.cocoonmail.com/webhook/contact/delete \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"email": "jsmith@example.com"
}
'import requests
url = "https://webhook.cocoonmail.com/webhook/contact/delete"
payload = { "email": "jsmith@example.com" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({email: 'jsmith@example.com'})
};
fetch('https://webhook.cocoonmail.com/webhook/contact/delete', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
using RestSharp;
var options = new RestClientOptions("https://webhook.cocoonmail.com/webhook/contact/delete");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
request.AddJsonBody("{\n \"email\": \"jsmith@example.com\"\n}", false);
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);using RestSharp;
var options = new RestClientOptions("https://webhook.cocoonmail.com/webhook/contact/delete");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
request.AddJsonBody("{\n \"email\": \"jsmith@example.com\"\n}", false);
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);{
"success": true,
"message": "Contact deleted successfully"
}
{
"message": "Email provided is not valid."
}
{
"success":false,
"message":"Contact not found"
}
{
"detail": "Authentication credentials were not provided."
}
Contacts
Delete contact
POST
/
webhook
/
contact
/
delete
cURL
Delete contact
Use this endpoint to delete an existing contactResponse fields
| Property | Description |
|---|---|
| 400 | Bad request |
| 401 | Request authentication |
| 403 | Too many bad requests. Temparory block |
| 406 | Missing accept header. For example : Accept: application/json |
| 429 | Too many requests/ Rate limit exceeded |
| 500 | Internal server error |
{
"success": true,
"message": "Contact deleted successfully"
}
{
"message": "Email provided is not valid."
}
{
"success":false,
"message":"Contact not found"
}
{
"detail": "Authentication credentials were not provided."
}
⌘I